Latest 0.0.1
Homepage https://github.com/BhumaJ/QTFloatingDrawer
License MIT
Platforms ios 8.0
Authors

CI Status
Version
License
Platform

Example

This is the simple reimplementation of KGFloatingDrawer in SWIFT 4.
To run the example project, clone the repo, and run pod install from the Example directory first.

Screenshots

QTFloatingDrawer

Requirements

  • iOS 8.0+ / macOS 10.10+ / Xcode 9.0+
  • Swift 4

Installation

QTFloatingDrawer is available through CocoaPods. To install
it, simply add the following line to your Podfile:

How To Use

func prepareDrawerViewController() -> QTDrawerViewController {
        let drawerViewController = QTDrawerViewController()
        drawerViewController.centerViewController = drawerSettingsViewController()
        drawerViewController.leftViewController = leftViewController()
        drawerViewController.rightViewController = rightViewController()
        _drawerViewController = drawerViewController

        return drawerViewController
    }

Author

BhumaJ

License

QTFloatingDrawer is available under the MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "QTFloatingDrawer",
    "version": "0.0.1",
    "summary": "QTFloatingDrawer is implementation of KGFloatingDrawer in SWIFT 4",
    "description": "This is simple library developed in SWIFT 4 for integrating Floating Drawer in your iOS App",
    "homepage": "https://github.com/BhumaJ/QTFloatingDrawer",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": {
        "BhumaJ": "[email protected]"
    },
    "source": {
        "git": "https://github.com/BhumaJ/QTFloatingDrawer.git",
        "tag": "0.0.1"
    },
    "platforms": {
        "ios": "8.0"
    },
    "source_files": "QTFloatingDrawer/Classes/**/*",
    "pushed_with_swift_version": "3.0"
}

Pin It on Pinterest

Share This